<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="Candidate"    package="performa.orm"  superclass="SecUserExtension">
        
        <IMPORT value="oneit.security.*"    />
        
        <MULTIPLEREFERENCE  name="TestAnalysises"   type="TestAnalysis"     backreferenceName="Candidate"   />
        <MULTIPLEREFERENCE  name="JobApplications"  type="JobApplication"   backreferenceName="Candidate"   />
        
        <TABLE  name="oneit_sec_user_extension" tablePrefix="object"    polymorphic="TRUE">

            <ATTRIB name="Phone"    type="String"   dbcol="phone"   length="30"/>
            
            <SINGLEREFERENCE    name="TestInput"    type="TestInput"    dbcol="test_input_id"   backreferenceName="Candidates"  />
            <SINGLEREFERENCE    name="User"         type="SecUser"      dbcol="user_id"         backreferenceName="Extensions"  inSuper='TRUE'/>
        </TABLE>
        
    </BUSINESSCLASS>
    
</ROOT>